Skip to content
Permalink
Browse files

Restrict phpstan to 0.9.x

The new version of phpstan while great results in a bunch of
errors/warnings we need to address. This gets us back to a passing build
on master.
  • Loading branch information...
markstory committed Jun 26, 2018
1 parent 2341c3c commit 339c3a916940d0ffebe3006178cc87b739428f8c
Showing with 1 addition and 1 deletion.
  1. +1 −1 .travis.yml
@@ -72,7 +72,7 @@ script:
- if [[ $DEFAULT = 1 && $TRAVIS_PHP_VERSION != 7.0 ]]; then vendor/bin/phpunit; fi

- if [[ $PHPCS = 1 ]]; then composer cs-check; fi
- if [[ $PHPSTAN = 1 ]]; then composer require --dev phpstan/phpstan:^0.9 && vendor/bin/phpstan analyse -c phpstan.neon -l 2 src; fi
- if [[ $PHPSTAN = 1 ]]; then composer require --dev "phpstan/phpstan:0.9.*" && vendor/bin/phpstan analyse -c phpstan.neon -l 2 src; fi

after_success:
- if [[ $DEFAULT = 1 && $TRAVIS_PHP_VERSION = 7.0 ]]; then bash <(curl -s https://codecov.io/bash); fi

0 comments on commit 339c3a9

Please sign in to comment.
You can’t perform that action at this time.